summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAimee Ukasick <aimeeu.opensource@gmail.com>2017-03-01 19:20:10 -0600
committerAimee Ukasick <aimeeu.opensource@gmail.com>2017-03-01 19:20:10 -0600
commitac5952cd0bdde53fad2ea3039902d324e939f33b (patch)
tree48901c9acb2eb8996cff02e99b46f5610a89eaa4
parentbf8c78275928ae4cf1cb47a1ef7c0495353e0329 (diff)
Add openrc parameter to smoke01-clean.sh
JIRA: COPPER-4 Also cleaned up instructions in both scripts Change-Id: I47d7902b66731c172442d62167ec150e4ddfca91 Signed-off-by: Aimee Ukasick <aimeeu.opensource@gmail.com>
-rw-r--r--tests/adhoc/smoke01-clean.sh24
-rw-r--r--tests/adhoc/smoke01.sh2
2 files changed, 20 insertions, 6 deletions
diff --git a/tests/adhoc/smoke01-clean.sh b/tests/adhoc/smoke01-clean.sh
index a846dbb..4e97e64 100644
--- a/tests/adhoc/smoke01-clean.sh
+++ b/tests/adhoc/smoke01-clean.sh
@@ -20,12 +20,26 @@
#
# How to use:
# Install Congress test server per https://wiki.opnfv.org/copper/academy
-# $ source ~/git/copper/tests/adhoc/smoke01.sh
+# $ bash ~/git/copper/tests/adhoc/smoke01.sh <openrc>
+# <openrc>: path to your openrc script
# After test, cleanup with
-# $ source ~/git/copper/tests/adhoc/smoke01-clean.sh
-
-wget https://git.opnfv.org/cgit/copper/plain/components/congress/install/bash/setenv.sh -O ~/setenv.sh
-source ~/setenv.sh
+# $ bash ~/git/copper/tests/adhoc/smoke01-clean.sh <openrc>
+
+pass() {
+ echo "$0: Hooray!"
+ set +x #echo off
+ exit 0
+}
+
+# Use this to trigger fail() at the right places
+# if [ "$RESULT" == "Test Failed!" ]; then fail; fi
+fail() {
+ echo "$0: Test Failed!"
+ set +x
+ exit 1
+}
+
+source $1
echo "$0: Delete cirros1 instance"
instance=$(nova list | awk "/ cirros1 / { print \$2 }")
diff --git a/tests/adhoc/smoke01.sh b/tests/adhoc/smoke01.sh
index 57b5b30..20185bc 100644
--- a/tests/adhoc/smoke01.sh
+++ b/tests/adhoc/smoke01.sh
@@ -25,7 +25,7 @@
# $ bash ~/git/copper/tests/adhoc/smoke01.sh <openrc>
# <openrc>: path to your openrc script
# After test, cleanup with
-# $ bash ~/git/copper/tests/adhoc/smoke01-clean.sh
+# $ bash ~/git/copper/tests/adhoc/smoke01-clean.sh <openrc>
pass() {
echo "$0: Hooray!"